# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "sinatra-contrib"
  s.version = "1.3.2"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Konstantin Haase", "Gabriel Andretta", "Trevor Bramble", "Nicolas Sanguinetti", "Ilya Shindyapin", "Masahiro Fujiwara", "Adrian Paca\u{142}a", "Andrew Crump", "Eliot Shepard", "Eric Marden", "Gray Manley", "Matt Lyon", "lest", "undr"]
  s.date = "2012-10-22"
  s.description = "Collection of useful Sinatra extensions"
  s.email = ["konstantin.mailinglists@googlemail.com", "ohhgabriel@gmail.com", "inbox@trevorbramble.com", "contacto@nicolassanguinetti.info", "ilya@shindyapin.com", "m-fujiwara@axsh.net", "altpacala@gmail.com", "andrew.crump@ieee.org", "eshepard@slower.net", "eric.marden@gmail.com", "g.manley@tukaiz.com", "matt@flowerpowered.com", "just.lest@gmail.com", "undr@yandex.ru"]
  s.files = ["LICENSE", "README.md", "Rakefile", "ideas.md", "lib/sinatra/capture.rb", "lib/sinatra/config_file.rb", "lib/sinatra/content_for.rb", "lib/sinatra/contrib.rb", "lib/sinatra/contrib/all.rb", "lib/sinatra/contrib/setup.rb", "lib/sinatra/contrib/version.rb", "lib/sinatra/cookies.rb", "lib/sinatra/decompile.rb", "lib/sinatra/engine_tracking.rb", "lib/sinatra/extension.rb", "lib/sinatra/json.rb", "lib/sinatra/link_header.rb", "lib/sinatra/multi_route.rb", "lib/sinatra/namespace.rb", "lib/sinatra/reloader.rb", "lib/sinatra/respond_with.rb", "lib/sinatra/streaming.rb", "lib/sinatra/test_helpers.rb", "sinatra-contrib.gemspec", "spec/capture_spec.rb", "spec/config_file/key_value.yml", "spec/config_file/key_value_override.yml", "spec/config_file/missing_env.yml", "spec/config_file/with_envs.yml", "spec/config_file/with_nested_envs.yml", "spec/config_file_spec.rb", "spec/content_for/different_key.erb", "spec/content_for/different_key.erubis", "spec/content_for/different_key.haml", "spec/content_for/different_key.slim", "spec/content_for/footer.erb", "spec/content_for/footer.erubis", "spec/content_for/footer.haml", "spec/content_for/footer.slim", "spec/content_for/layout.erb", "spec/content_for/layout.erubis", "spec/content_for/layout.haml", "spec/content_for/layout.slim", "spec/content_for/multiple_blocks.erb", "spec/content_for/multiple_blocks.erubis", "spec/content_for/multiple_blocks.haml", "spec/content_for/multiple_blocks.slim", "spec/content_for/multiple_yields.erb", "spec/content_for/multiple_yields.erubis", "spec/content_for/multiple_yields.haml", "spec/content_for/multiple_yields.slim", "spec/content_for/passes_values.erb", "spec/content_for/passes_values.erubis", "spec/content_for/passes_values.haml", "spec/content_for/passes_values.slim", "spec/content_for/same_key.erb", "spec/content_for/same_key.erubis", "spec/content_for/same_key.haml", "spec/content_for/same_key.slim", "spec/content_for/takes_values.erb", "spec/content_for/takes_values.erubis", "spec/content_for/takes_values.haml", "spec/content_for/takes_values.slim", "spec/content_for_spec.rb", "spec/cookies_spec.rb", "spec/decompile_spec.rb", "spec/extension_spec.rb", "spec/json_spec.rb", "spec/link_header_spec.rb", "spec/multi_route_spec.rb", "spec/namespace/foo.erb", "spec/namespace/nested/foo.erb", "spec/namespace_spec.rb", "spec/okjson.rb", "spec/reloader/app.rb.erb", "spec/reloader_spec.rb", "spec/respond_with/bar.erb", "spec/respond_with/bar.json.erb", "spec/respond_with/foo.html.erb", "spec/respond_with/not_html.sass", "spec/respond_with_spec.rb", "spec/spec_helper.rb", "spec/streaming_spec.rb"]
  s.homepage = "http://github.com/sinatra/sinatra-contrib"
  s.require_paths = ["lib"]
  s.rubygems_version = "1.8.23"
  s.summary = "Collection of useful Sinatra extensions"

  if s.respond_to? :specification_version then
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<sinatra>, ["~> 1.3.0"])
      s.add_runtime_dependency(%q<backports>, [">= 2.0"])
      s.add_runtime_dependency(%q<tilt>, ["~> 1.3"])
      s.add_runtime_dependency(%q<rack-test>, [">= 0"])
      s.add_runtime_dependency(%q<rack-protection>, [">= 0"])
      s.add_runtime_dependency(%q<eventmachine>, [">= 0"])
      s.add_development_dependency(%q<rspec>, ["~> 2.3"])
      s.add_development_dependency(%q<haml>, [">= 0"])
      s.add_development_dependency(%q<erubis>, [">= 0"])
      s.add_development_dependency(%q<slim>, [">= 0"])
      s.add_development_dependency(%q<rake>, [">= 0"])
    else
      s.add_dependency(%q<sinatra>, ["~> 1.3.0"])
      s.add_dependency(%q<backports>, [">= 2.0"])
      s.add_dependency(%q<tilt>, ["~> 1.3"])
      s.add_dependency(%q<rack-test>, [">= 0"])
      s.add_dependency(%q<rack-protection>, [">= 0"])
      s.add_dependency(%q<eventmachine>, [">= 0"])
      s.add_dependency(%q<rspec>, ["~> 2.3"])
      s.add_dependency(%q<haml>, [">= 0"])
      s.add_dependency(%q<erubis>, [">= 0"])
      s.add_dependency(%q<slim>, [">= 0"])
      s.add_dependency(%q<rake>, [">= 0"])
    end
  else
    s.add_dependency(%q<sinatra>, ["~> 1.3.0"])
    s.add_dependency(%q<backports>, [">= 2.0"])
    s.add_dependency(%q<tilt>, ["~> 1.3"])
    s.add_dependency(%q<rack-test>, [">= 0"])
    s.add_dependency(%q<rack-protection>, [">= 0"])
    s.add_dependency(%q<eventmachine>, [">= 0"])
    s.add_dependency(%q<rspec>, ["~> 2.3"])
    s.add_dependency(%q<haml>, [">= 0"])
    s.add_dependency(%q<erubis>, [">= 0"])
    s.add_dependency(%q<slim>, [">= 0"])
    s.add_dependency(%q<rake>, [">= 0"])
  end
end
